scala.tools.nsc.transform.patmat.MatchTreeMaking.TreeMakers.TypeTestTreeMaker

# pureTypeTestChecker

#### object pureTypeTestChecker extends TypeTestCondStrategy

Source
  MatchTreeMaking.scala

Linear Supertypes
TypeTestCondStrategy, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. pureTypeTestChecker
2. TypeTestCondStrategy
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type Result = Boolean

   Definition Classes
     pureTypeTestChecker → TypeTestCondStrategy

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def and(a: Result, b: Result): Result

   Definition Classes
     pureTypeTestChecker → TypeTestCondStrategy

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def eqTest(pat: Global.Tree, testedBinder: Global.Symbol): Result

   Definition Classes
     pureTypeTestChecker → TypeTestCondStrategy

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def equalsTest(pat: Global.Tree, testedBinder: Global.Symbol): Result

    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def nonNullTest(testedBinder: Global.Symbol): Result

    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def outerTest(testedBinder: Global.Symbol, expectedTp: Global.Type): Result

    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### def tru: Boolean

    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy

23. #### def typeTest(testedBinder: Global.Symbol, expectedTp: Global.Type): Result

    Definition Classes
      pureTypeTestChecker → TypeTestCondStrategy

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TypeTestCondStrategy

### Inherited from AnyRef

### Inherited from Any

### Ungrouped